<html>
<head>
<title>OGRE: Ogre::Vector2 Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Vector2.html">Vector2</a></div>
<h1>Ogre::Vector2 Class Reference</h1><!-- doxytag: class="Ogre::Vector2" -->Standard 2-dimensional vector.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Vector2-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#54198b2714496715f6f9ec24c1194cad">Vector2</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#157950d8cbe0e44a2271479a4f8bcdab">Vector2</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fX, const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fY)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#1c2a513e68d4e223135a5d891a569501">Vector2</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> scaler)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#6f05ab5b82a5dd3f191e388d4a734614">Vector2</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afCoordinate[2])</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#c04fe07fceec444e2a13b0195bcb2c64">Vector2</a> (const int afCoordinate[2])</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#df501af1ce3df540dee7953ddb32cb51">Vector2</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *const r)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#3578c5fd9c51469fff590dc15f62abf8">Vector2</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#71b01bfe42118ef067e14e1092e7773f">operator[]</a> (const size_t i) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#ae029eb05f9ab47565e5b47bb2ee9d91">operator[]</a> (const size_t i)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#307ca54d90a1a35b54a5416810681b3a">ptr</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer accessor for direct copying.  <a href="#307ca54d90a1a35b54a5416810681b3a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#d72265d712677a9d628f0231c2e7c460">ptr</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer accessor for direct copying.  <a href="#d72265d712677a9d628f0231c2e7c460"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#94d813e76f805306436e19a785e75a26">operator=</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rkVector)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Assigns the value of the other vector.  <a href="#94d813e76f805306436e19a785e75a26"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#057b23bf29fadca9f2a4f0ff19a9bf61">operator=</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#4404d6cdc32ecbc7d1b4ff5bc247d68a">operator==</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rkVector) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#f8a82d880cf79a247d4eb8a70f61702f">operator!=</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rkVector) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#806a988c00ef4351b8e6d534bd0f09b6">operator+</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rkVector) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#b00bb30f312804b9eeedb8c8816da88b">operator-</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rkVector) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#4fdaaf501796c450d0671d41b4dafbe5">operator *</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#5d47fb57acc7ae2bf36d29230b1cda1b">operator *</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#c22564f2426d1feaf991373d70ee2ba6">operator/</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#0832212595e63003914ab30c2020149b">operator/</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#f22ae1e752951b66f3c3ef59134f1dfc">operator+</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#aebb1a9a4be8649241189c6ff02d170c">operator-</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#ac6485bd52d65876c6d625f0dbbf634b">operator+=</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#7d85454520d16e1737be3d79b6950d39">operator+=</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScaler)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#a4e5a79a3880c71499ea5c6fc3709151">operator-=</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#db77e6fdba8c5a6a55b6c53f16a2cf5f">operator-=</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScaler)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#710343631b9a695d34fa0dac9231373f">operator *=</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#ee92fb485741750ff9c1de5c5d94f602">operator *=</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#5ee66b093d0a415c57e7918523cabeaf">operator/=</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#181745a04b7b95bffc331fd9a4519931">operator/=</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#37afa7257464098c518321ddf438f1a9">length</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the length (magnitude) of the vector.  <a href="#37afa7257464098c518321ddf438f1a9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#cf2cf937351e108feb474e01d2c982a2">squaredLength</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the square of the length(magnitude) of the vector.  <a href="#cf2cf937351e108feb474e01d2c982a2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#864971e600fa97e95a295cb5f2c2f16d">dotProduct</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;vec) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Calculates the dot (scalar) product of this vector with another.  <a href="#864971e600fa97e95a295cb5f2c2f16d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#108e27e1f8c56023377347b661cf067c">normalise</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Normalises the vector.  <a href="#108e27e1f8c56023377347b661cf067c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#d79868b92edb2c5187d8b11387010a7d">midPoint</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;vec) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a vector at a point half way between this and the passed in vector.  <a href="#d79868b92edb2c5187d8b11387010a7d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#a756107b53717cfa38efec9e0840f630">operator&lt;</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rhs) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if the vector's scalar components are all greater that the ones of the vector it is compared against.  <a href="#a756107b53717cfa38efec9e0840f630"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#a66f1e244af12ef400f1cc416b408e19">operator&gt;</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rhs) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if the vector's scalar components are all smaller that the ones of the vector it is compared against.  <a href="#a66f1e244af12ef400f1cc416b408e19"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#946495c4a55e1f8048aab6920bf0ac9f">makeFloor</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;cmp)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets this vector's components to the minimum of its own and the ones of the passed in vector.  <a href="#946495c4a55e1f8048aab6920bf0ac9f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#408be4c5539e93a4272e05249bafe0be">makeCeil</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;cmp)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets this vector's components to the maximum of its own and the ones of the passed in vector.  <a href="#408be4c5539e93a4272e05249bafe0be"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#ea8cb94f0258c7b8f204588f05d7d0f0">perpendicular</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generates a vector perpendicular to this vector (eg an 'up' vector).  <a href="#ea8cb94f0258c7b8f204588f05d7d0f0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#9785bfabcea2d2fad738571f5c7c106f">crossProduct</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rkVector) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Calculates the 2 dimensional cross-product of 2 vectors, which results in a single floating point value which is 2 times the area of the triangle.  <a href="#9785bfabcea2d2fad738571f5c7c106f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#bf1030549182b8fcf19def12e2706e6f">randomDeviant</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> angle) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generates a new random vector which deviates from this vector by a given angle in a random direction.  <a href="#bf1030549182b8fcf19def12e2706e6f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#1946e867aa921f61de967cf244774531">isZeroLength</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if this vector is zero length.  <a href="#1946e867aa921f61de967cf244774531"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#735f0406c751af9b3ac79c855301e466">normalisedCopy</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">As normalise, except that this vector is unaffected and the normalised vector is returned as a copy.  <a href="#735f0406c751af9b3ac79c855301e466"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#ffe288cd3a7424b7fdb0ae34b2ddf807">reflect</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;normal) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Calculates a reflection vector to the plane with the given normal .  <a href="#ffe288cd3a7424b7fdb0ae34b2ddf807"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#f3eb55ba6d289477e9aa52b8de341380">x</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#d486a13367b71ce0f4c6782297be9725">y</a></td></tr>

<tr><td colspan="2"><br><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#70fef72151781ad0174a004a8b6b3acc">ZERO</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#1c2d210b2756d07375b0cf9f01835496">UNIT_X</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#d20c8c58c9345a71743416bad82cb5e3">UNIT_Y</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#52e8d29732eacdeb87d20a3372382590">NEGATIVE_UNIT_X</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#95486d3e0b884791be22f16d2bb3a4cb">NEGATIVE_UNIT_Y</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#165a67053e61b0733746453ce9ee5edb">UNIT_SCALE</a></td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#7c810d71937917b48aa28409ecd2fb3f">operator *</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar, const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#51c18bb1a1071f8078084cb968ddb5d2">operator/</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar, const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#3ffc15c2ad86866acd071c0748126fbb">operator+</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;lhs, const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#67176f44a1c406e85fe12787373ef377">operator+</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lhs, const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#ed2661adf58895a08a1b38054d8d5743">operator-</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;lhs, const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#6d976cf52f54a51f4b42ef31c3bede89">operator-</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lhs, const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">_OgreExport friend <br>
std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html#f2c1dcbb14e9404733990cdbb2b2d747">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;v)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function for writing to a stream.  <a href="#f2c1dcbb14e9404733990cdbb2b2d747"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Standard 2-dimensional vector. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>A direction in 2D space represented as distances along the 2 orthoganal axes (x, y). Note that positions, directions and scaling factors can be represented by a vector, depending on how you interpret the values. </dd></dl>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00046">46</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="54198b2714496715f6f9ec24c1194cad"></a><!-- doxytag: member="Ogre::Vector2::Vector2" ref="54198b2714496715f6f9ec24c1194cad" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector2::Vector2           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00052">52</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="157950d8cbe0e44a2271479a4f8bcdab"></a><!-- doxytag: member="Ogre::Vector2::Vector2" ref="157950d8cbe0e44a2271479a4f8bcdab" args="(const Real fX, const Real fY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector2::Vector2           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fY</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00056">56</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1c2a513e68d4e223135a5d891a569501"></a><!-- doxytag: member="Ogre::Vector2::Vector2" ref="1c2a513e68d4e223135a5d891a569501" args="(const Real scaler)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector2::Vector2           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>scaler</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00061">61</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6f05ab5b82a5dd3f191e388d4a734614"></a><!-- doxytag: member="Ogre::Vector2::Vector2" ref="6f05ab5b82a5dd3f191e388d4a734614" args="(const Real afCoordinate[2])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector2::Vector2           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>afCoordinate</em>[2]          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00066">66</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c04fe07fceec444e2a13b0195bcb2c64"></a><!-- doxytag: member="Ogre::Vector2::Vector2" ref="c04fe07fceec444e2a13b0195bcb2c64" args="(const int afCoordinate[2])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector2::Vector2           </td>
          <td>(</td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>afCoordinate</em>[2]          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00072">72</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="df501af1ce3df540dee7953ddb32cb51"></a><!-- doxytag: member="Ogre::Vector2::Vector2" ref="df501af1ce3df540dee7953ddb32cb51" args="(Real *const r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector2::Vector2           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *const &nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00078">78</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3578c5fd9c51469fff590dc15f62abf8"></a><!-- doxytag: member="Ogre::Vector2::Vector2" ref="3578c5fd9c51469fff590dc15f62abf8" args="(const Vector2 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Vector2::Vector2           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00083">83</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="71b01bfe42118ef067e14e1092e7773f"></a><!-- doxytag: member="Ogre::Vector2::operator[]" ref="71b01bfe42118ef067e14e1092e7773f" args="(const size_t i) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Vector2::operator[]           </td>
          <td>(</td>
          <td class="paramtype">const size_t&nbsp;</td>
          <td class="paramname"> <em>i</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00088">88</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ae029eb05f9ab47565e5b47bb2ee9d91"></a><!-- doxytag: member="Ogre::Vector2::operator[]" ref="ae029eb05f9ab47565e5b47bb2ee9d91" args="(const size_t i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&amp; Ogre::Vector2::operator[]           </td>
          <td>(</td>
          <td class="paramtype">const size_t&nbsp;</td>
          <td class="paramname"> <em>i</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00095">95</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="307ca54d90a1a35b54a5416810681b3a"></a><!-- doxytag: member="Ogre::Vector2::ptr" ref="307ca54d90a1a35b54a5416810681b3a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>* Ogre::Vector2::ptr           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer accessor for direct copying. 
<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00103">103</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAnimable_8h-source.html#l00095">Ogre::AnimableValue::setAsBaseValue()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d72265d712677a9d628f0231c2e7c460"></a><!-- doxytag: member="Ogre::Vector2::ptr" ref="d72265d712677a9d628f0231c2e7c460" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>* Ogre::Vector2::ptr           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer accessor for direct copying. 
<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00108">108</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="94d813e76f805306436e19a785e75a26"></a><!-- doxytag: member="Ogre::Vector2::operator=" ref="94d813e76f805306436e19a785e75a26" args="(const Vector2 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&amp; Ogre::Vector2::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Assigns the value of the other vector. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>rkVector</em>&nbsp;</td><td>The other vector </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00117">117</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="057b23bf29fadca9f2a4f0ff19a9bf61"></a><!-- doxytag: member="Ogre::Vector2::operator=" ref="057b23bf29fadca9f2a4f0ff19a9bf61" args="(const Real fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&amp; Ogre::Vector2::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00125">125</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4404d6cdc32ecbc7d1b4ff5bc247d68a"></a><!-- doxytag: member="Ogre::Vector2::operator==" ref="4404d6cdc32ecbc7d1b4ff5bc247d68a" args="(const Vector2 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Vector2::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00133">133</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="f8a82d880cf79a247d4eb8a70f61702f"></a><!-- doxytag: member="Ogre::Vector2::operator!=" ref="f8a82d880cf79a247d4eb8a70f61702f" args="(const Vector2 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Vector2::operator!=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00138">138</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="806a988c00ef4351b8e6d534bd0f09b6"></a><!-- doxytag: member="Ogre::Vector2::operator+" ref="806a988c00ef4351b8e6d534bd0f09b6" args="(const Vector2 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> Ogre::Vector2::operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00144">144</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="b00bb30f312804b9eeedb8c8816da88b"></a><!-- doxytag: member="Ogre::Vector2::operator-" ref="b00bb30f312804b9eeedb8c8816da88b" args="(const Vector2 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> Ogre::Vector2::operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00151">151</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="4fdaaf501796c450d0671d41b4dafbe5"></a><!-- doxytag: member="Ogre::Vector2::operator *" ref="4fdaaf501796c450d0671d41b4dafbe5" args="(const Real fScalar) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> Ogre::Vector2::operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00158">158</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5d47fb57acc7ae2bf36d29230b1cda1b"></a><!-- doxytag: member="Ogre::Vector2::operator *" ref="5d47fb57acc7ae2bf36d29230b1cda1b" args="(const Vector2 &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> Ogre::Vector2::operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00165">165</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="c22564f2426d1feaf991373d70ee2ba6"></a><!-- doxytag: member="Ogre::Vector2::operator/" ref="c22564f2426d1feaf991373d70ee2ba6" args="(const Real fScalar) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> Ogre::Vector2::operator/           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00172">172</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0832212595e63003914ab30c2020149b"></a><!-- doxytag: member="Ogre::Vector2::operator/" ref="0832212595e63003914ab30c2020149b" args="(const Vector2 &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> Ogre::Vector2::operator/           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00183">183</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="f22ae1e752951b66f3c3ef59134f1dfc"></a><!-- doxytag: member="Ogre::Vector2::operator+" ref="f22ae1e752951b66f3c3ef59134f1dfc" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&amp; Ogre::Vector2::operator+           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00190">190</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="aebb1a9a4be8649241189c6ff02d170c"></a><!-- doxytag: member="Ogre::Vector2::operator-" ref="aebb1a9a4be8649241189c6ff02d170c" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> Ogre::Vector2::operator-           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00195">195</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ac6485bd52d65876c6d625f0dbbf634b"></a><!-- doxytag: member="Ogre::Vector2::operator+=" ref="ac6485bd52d65876c6d625f0dbbf634b" args="(const Vector2 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&amp; Ogre::Vector2::operator+=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00243">243</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="7d85454520d16e1737be3d79b6950d39"></a><!-- doxytag: member="Ogre::Vector2::operator+=" ref="7d85454520d16e1737be3d79b6950d39" args="(const Real fScaler)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&amp; Ogre::Vector2::operator+=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScaler</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00251">251</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a4e5a79a3880c71499ea5c6fc3709151"></a><!-- doxytag: member="Ogre::Vector2::operator-=" ref="a4e5a79a3880c71499ea5c6fc3709151" args="(const Vector2 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&amp; Ogre::Vector2::operator-=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00259">259</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="db77e6fdba8c5a6a55b6c53f16a2cf5f"></a><!-- doxytag: member="Ogre::Vector2::operator-=" ref="db77e6fdba8c5a6a55b6c53f16a2cf5f" args="(const Real fScaler)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&amp; Ogre::Vector2::operator-=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScaler</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00267">267</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="710343631b9a695d34fa0dac9231373f"></a><!-- doxytag: member="Ogre::Vector2::operator *=" ref="710343631b9a695d34fa0dac9231373f" args="(const Real fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&amp; Ogre::Vector2::operator *=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00275">275</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ee92fb485741750ff9c1de5c5d94f602"></a><!-- doxytag: member="Ogre::Vector2::operator *=" ref="ee92fb485741750ff9c1de5c5d94f602" args="(const Vector2 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&amp; Ogre::Vector2::operator *=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00283">283</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="5ee66b093d0a415c57e7918523cabeaf"></a><!-- doxytag: member="Ogre::Vector2::operator/=" ref="5ee66b093d0a415c57e7918523cabeaf" args="(const Real fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&amp; Ogre::Vector2::operator/=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00291">291</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="181745a04b7b95bffc331fd9a4519931"></a><!-- doxytag: member="Ogre::Vector2::operator/=" ref="181745a04b7b95bffc331fd9a4519931" args="(const Vector2 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&amp; Ogre::Vector2::operator/=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00303">303</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="37afa7257464098c518321ddf438f1a9"></a><!-- doxytag: member="Ogre::Vector2::length" ref="37afa7257464098c518321ddf438f1a9" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Vector2::length           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the length (magnitude) of the vector. 
<p>
<dl class="warning" compact><dt><b>Warning:</b></dt><dd>This operation requires a square root and is expensive in terms of CPU operations. If you don't need to know the exact length (e.g. for just comparing lengths) use <a class="el" href="classOgre_1_1Vector2.html#cf2cf937351e108feb474e01d2c982a2" title="Returns the square of the length(magnitude) of the vector.">squaredLength()</a> instead. </dd></dl>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00318">318</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00291">Ogre::Math::Sqrt()</a>.</p>

</div>
</div><p>
<a class="anchor" name="cf2cf937351e108feb474e01d2c982a2"></a><!-- doxytag: member="Ogre::Vector2::squaredLength" ref="cf2cf937351e108feb474e01d2c982a2" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Vector2::squaredLength           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the square of the length(magnitude) of the vector. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method is for efficiency - calculating the actual length of a vector requires a square root, which is expensive in terms of the operations required. This method returns the square of the length of the vector, i.e. the same as the length but before the square root is taken. Use this if you want to find the longest / shortest vector without incurring the square root. </dd></dl>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00333">333</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="864971e600fa97e95a295cb5f2c2f16d"></a><!-- doxytag: member="Ogre::Vector2::dotProduct" ref="864971e600fa97e95a295cb5f2c2f16d" args="(const Vector2 &amp;vec) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Vector2::dotProduct           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>vec</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Calculates the dot (scalar) product of this vector with another. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The dot product can be used to calculate the angle between 2 vectors. If both are unit vectors, the dot product is the cosine of the angle; otherwise the dot product must be divided by the product of the lengths of both vectors to get the cosine of the angle. This result can further be used to calculate the distance of a point from a plane. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>vec</em>&nbsp;</td><td>Vector with which to calculate the dot product (together with this one). </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A float representing the dot product value. </dd></dl>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00352">352</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="108e27e1f8c56023377347b661cf067c"></a><!-- doxytag: member="Ogre::Vector2::normalise" ref="108e27e1f8c56023377347b661cf067c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Vector2::normalise           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Normalises the vector. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method normalises the vector such that it's length / magnitude is 1. The result is called a unit vector. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This function will not crash for zero-sized vectors, but there will be no changes made to their components. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>The previous length of the vector. </dd></dl>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00366">366</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00291">Ogre::Math::Sqrt()</a>.</p>

<p>Referenced by <a class="el" href="OgreVector2_8h-source.html#l00497">normalisedCopy()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d79868b92edb2c5187d8b11387010a7d"></a><!-- doxytag: member="Ogre::Vector2::midPoint" ref="d79868b92edb2c5187d8b11387010a7d" args="(const Vector2 &amp;vec) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> Ogre::Vector2::midPoint           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>vec</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a vector at a point half way between this and the passed in vector. 
<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00386">386</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="a756107b53717cfa38efec9e0840f630"></a><!-- doxytag: member="Ogre::Vector2::operator&lt;" ref="a756107b53717cfa38efec9e0840f630" args="(const Vector2 &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Vector2::operator&lt;           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if the vector's scalar components are all greater that the ones of the vector it is compared against. 
<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00396">396</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="a66f1e244af12ef400f1cc416b408e19"></a><!-- doxytag: member="Ogre::Vector2::operator&gt;" ref="a66f1e244af12ef400f1cc416b408e19" args="(const Vector2 &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Vector2::operator&gt;           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if the vector's scalar components are all smaller that the ones of the vector it is compared against. 
<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00406">406</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="946495c4a55e1f8048aab6920bf0ac9f"></a><!-- doxytag: member="Ogre::Vector2::makeFloor" ref="946495c4a55e1f8048aab6920bf0ac9f" args="(const Vector2 &amp;cmp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Vector2::makeFloor           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>cmp</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets this vector's components to the minimum of its own and the ones of the passed in vector. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>'Minimum' in this case means the combination of the lowest value of x, y and z from both vectors. Lowest is taken just numerically, not magnitude, so -1 &lt; 0. </dd></dl>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00420">420</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="408be4c5539e93a4272e05249bafe0be"></a><!-- doxytag: member="Ogre::Vector2::makeCeil" ref="408be4c5539e93a4272e05249bafe0be" args="(const Vector2 &amp;cmp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Vector2::makeCeil           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>cmp</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets this vector's components to the maximum of its own and the ones of the passed in vector. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>'Maximum' in this case means the combination of the highest value of x, y and z from both vectors. Highest is taken just numerically, not magnitude, so 1 &gt; -3. </dd></dl>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00433">433</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="ea8cb94f0258c7b8f204588f05d7d0f0"></a><!-- doxytag: member="Ogre::Vector2::perpendicular" ref="ea8cb94f0258c7b8f204588f05d7d0f0" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> Ogre::Vector2::perpendicular           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generates a vector perpendicular to this vector (eg an 'up' vector). 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method will return a vector which is perpendicular to this vector. There are an infinite number of possibilities but this method will guarantee to generate one of them. If you need more control you should use the <a class="el" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> class. </dd></dl>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00446">446</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9785bfabcea2d2fad738571f5c7c106f"></a><!-- doxytag: member="Ogre::Vector2::crossProduct" ref="9785bfabcea2d2fad738571f5c7c106f" args="(const Vector2 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Vector2::crossProduct           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Calculates the 2 dimensional cross-product of 2 vectors, which results in a single floating point value which is 2 times the area of the triangle. 
<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00453">453</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00049">x</a>, and <a class="el" href="OgreVector2_8h-source.html#l00049">y</a>.</p>

</div>
</div><p>
<a class="anchor" name="bf1030549182b8fcf19def12e2706e6f"></a><!-- doxytag: member="Ogre::Vector2::randomDeviant" ref="bf1030549182b8fcf19def12e2706e6f" args="(Real angle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> Ogre::Vector2::randomDeviant           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>angle</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generates a new random vector which deviates from this vector by a given angle in a random direction. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method assumes that the random number generator has already been seeded appropriately. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>angle</em>&nbsp;</td><td>The angle at which to deviate in radians </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>up</em>&nbsp;</td><td><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> vector perpendicular to this one (which could generated by cross-product of this vector and any other non-colinear vector). If you choose not to provide this the function will derive one on it's own, however if you provide one yourself the function will be faster (this allows you to reuse up vectors if you call this method more than once) </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A random vector which deviates from this vector by angle. This vector will not be normalised, normalise it if you wish afterwards. </dd></dl>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00476">476</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00545">Ogre::Math::TWO_PI</a>, and <a class="el" href="classOgre_1_1Math.html#17da3bb870f8654628d6f429a144aea1">Ogre::Math::UnitRandom()</a>.</p>

</div>
</div><p>
<a class="anchor" name="1946e867aa921f61de967cf244774531"></a><!-- doxytag: member="Ogre::Vector2::isZeroLength" ref="1946e867aa921f61de967cf244774531" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Vector2::isZeroLength           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if this vector is zero length. 
<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00488">488</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="735f0406c751af9b3ac79c855301e466"></a><!-- doxytag: member="Ogre::Vector2::normalisedCopy" ref="735f0406c751af9b3ac79c855301e466" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> Ogre::Vector2::normalisedCopy           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
As normalise, except that this vector is unaffected and the normalised vector is returned as a copy. 
<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00497">497</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>References <a class="el" href="OgreVector2_8h-source.html#l00366">normalise()</a>.</p>

</div>
</div><p>
<a class="anchor" name="ffe288cd3a7424b7fdb0ae34b2ddf807"></a><!-- doxytag: member="Ogre::Vector2::reflect" ref="ffe288cd3a7424b7fdb0ae34b2ddf807" args="(const Vector2 &amp;normal) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> Ogre::Vector2::reflect           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>normal</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Calculates a reflection vector to the plane with the given normal . 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>NB assumes 'this' is pointing AWAY FROM the plane, invert if it is not. </dd></dl>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00507">507</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="7c810d71937917b48aa28409ecd2fb3f"></a><!-- doxytag: member="Ogre::Vector2::operator *" ref="7c810d71937917b48aa28409ecd2fb3f" args="(const Real fScalar, const Vector2 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00201">201</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="51c18bb1a1071f8078084cb968ddb5d2"></a><!-- doxytag: member="Ogre::Vector2::operator/" ref="51c18bb1a1071f8078084cb968ddb5d2" args="(const Real fScalar, const Vector2 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> operator/           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00208">208</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3ffc15c2ad86866acd071c0748126fbb"></a><!-- doxytag: member="Ogre::Vector2::operator+" ref="3ffc15c2ad86866acd071c0748126fbb" args="(const Vector2 &amp;lhs, const Real rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>rhs</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00215">215</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="67176f44a1c406e85fe12787373ef377"></a><!-- doxytag: member="Ogre::Vector2::operator+" ref="67176f44a1c406e85fe12787373ef377" args="(const Real lhs, const Vector2 &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00222">222</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ed2661adf58895a08a1b38054d8d5743"></a><!-- doxytag: member="Ogre::Vector2::operator-" ref="ed2661adf58895a08a1b38054d8d5743" args="(const Vector2 &amp;lhs, const Real rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>rhs</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00229">229</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6d976cf52f54a51f4b42ef31c3bede89"></a><!-- doxytag: member="Ogre::Vector2::operator-" ref="6d976cf52f54a51f4b42ef31c3bede89" args="(const Real lhs, const Vector2 &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00236">236</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f2c1dcbb14e9404733990cdbb2b2d747"></a><!-- doxytag: member="Ogre::Vector2::operator&lt;&lt;" ref="f2c1dcbb14e9404733990cdbb2b2d747" args="(std::ostream &amp;o, const Vector2 &amp;v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_OgreExport friend std::ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>v</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Function for writing to a stream. 
<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00523">523</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="f3eb55ba6d289477e9aa52b8de341380"></a><!-- doxytag: member="Ogre::Vector2::x" ref="f3eb55ba6d289477e9aa52b8de341380" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Vector2.html#f3eb55ba6d289477e9aa52b8de341380">Ogre::Vector2::x</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00049">49</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector2_8h-source.html#l00453">crossProduct()</a>, <a class="el" href="OgreVector2_8h-source.html#l00352">dotProduct()</a>, <a class="el" href="OgreVector2_8h-source.html#l00433">makeCeil()</a>, <a class="el" href="OgreVector2_8h-source.html#l00420">makeFloor()</a>, <a class="el" href="OgreVector2_8h-source.html#l00386">midPoint()</a>, <a class="el" href="OgreVector2_8h-source.html#l00165">operator *()</a>, <a class="el" href="OgreVector2_8h-source.html#l00283">operator *=()</a>, <a class="el" href="OgreVector2_8h-source.html#l00138">operator!=()</a>, <a class="el" href="OgreVector2_8h-source.html#l00144">operator+()</a>, <a class="el" href="OgreVector2_8h-source.html#l00243">operator+=()</a>, <a class="el" href="OgreVector2_8h-source.html#l00151">operator-()</a>, <a class="el" href="OgreVector2_8h-source.html#l00259">operator-=()</a>, <a class="el" href="OgreVector2_8h-source.html#l00183">operator/()</a>, <a class="el" href="OgreVector2_8h-source.html#l00303">operator/=()</a>, <a class="el" href="OgreVector2_8h-source.html#l00396">operator&lt;()</a>, <a class="el" href="OgreVector2_8h-source.html#l00117">operator=()</a>, <a class="el" href="OgreVector2_8h-source.html#l00133">operator==()</a>, and <a class="el" href="OgreVector2_8h-source.html#l00406">operator&gt;()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d486a13367b71ce0f4c6782297be9725"></a><!-- doxytag: member="Ogre::Vector2::y" ref="d486a13367b71ce0f4c6782297be9725" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Vector2.html#d486a13367b71ce0f4c6782297be9725">Ogre::Vector2::y</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00049">49</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector2_8h-source.html#l00453">crossProduct()</a>, <a class="el" href="OgreVector2_8h-source.html#l00352">dotProduct()</a>, <a class="el" href="OgreVector2_8h-source.html#l00433">makeCeil()</a>, <a class="el" href="OgreVector2_8h-source.html#l00420">makeFloor()</a>, <a class="el" href="OgreVector2_8h-source.html#l00386">midPoint()</a>, <a class="el" href="OgreVector2_8h-source.html#l00165">operator *()</a>, <a class="el" href="OgreVector2_8h-source.html#l00283">operator *=()</a>, <a class="el" href="OgreVector2_8h-source.html#l00138">operator!=()</a>, <a class="el" href="OgreVector2_8h-source.html#l00144">operator+()</a>, <a class="el" href="OgreVector2_8h-source.html#l00243">operator+=()</a>, <a class="el" href="OgreVector2_8h-source.html#l00151">operator-()</a>, <a class="el" href="OgreVector2_8h-source.html#l00259">operator-=()</a>, <a class="el" href="OgreVector2_8h-source.html#l00183">operator/()</a>, <a class="el" href="OgreVector2_8h-source.html#l00303">operator/=()</a>, <a class="el" href="OgreVector2_8h-source.html#l00396">operator&lt;()</a>, <a class="el" href="OgreVector2_8h-source.html#l00117">operator=()</a>, <a class="el" href="OgreVector2_8h-source.html#l00133">operator==()</a>, and <a class="el" href="OgreVector2_8h-source.html#l00406">operator&gt;()</a>.</p>

</div>
</div><p>
<a class="anchor" name="70fef72151781ad0174a004a8b6b3acc"></a><!-- doxytag: member="Ogre::Vector2::ZERO" ref="70fef72151781ad0174a004a8b6b3acc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> <a class="el" href="classOgre_1_1Vector2.html#70fef72151781ad0174a004a8b6b3acc">Ogre::Vector2::ZERO</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00513">513</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1c2d210b2756d07375b0cf9f01835496"></a><!-- doxytag: member="Ogre::Vector2::UNIT_X" ref="1c2d210b2756d07375b0cf9f01835496" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> <a class="el" href="classOgre_1_1Vector2.html#1c2d210b2756d07375b0cf9f01835496">Ogre::Vector2::UNIT_X</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00514">514</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d20c8c58c9345a71743416bad82cb5e3"></a><!-- doxytag: member="Ogre::Vector2::UNIT_Y" ref="d20c8c58c9345a71743416bad82cb5e3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> <a class="el" href="classOgre_1_1Vector2.html#d20c8c58c9345a71743416bad82cb5e3">Ogre::Vector2::UNIT_Y</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00515">515</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="52e8d29732eacdeb87d20a3372382590"></a><!-- doxytag: member="Ogre::Vector2::NEGATIVE_UNIT_X" ref="52e8d29732eacdeb87d20a3372382590" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> <a class="el" href="classOgre_1_1Vector2.html#52e8d29732eacdeb87d20a3372382590">Ogre::Vector2::NEGATIVE_UNIT_X</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00516">516</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="95486d3e0b884791be22f16d2bb3a4cb"></a><!-- doxytag: member="Ogre::Vector2::NEGATIVE_UNIT_Y" ref="95486d3e0b884791be22f16d2bb3a4cb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> <a class="el" href="classOgre_1_1Vector2.html#95486d3e0b884791be22f16d2bb3a4cb">Ogre::Vector2::NEGATIVE_UNIT_Y</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00517">517</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="165a67053e61b0733746453ce9ee5edb"></a><!-- doxytag: member="Ogre::Vector2::UNIT_SCALE" ref="165a67053e61b0733746453ce9ee5edb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> <a class="el" href="classOgre_1_1Vector2.html#165a67053e61b0733746453ce9ee5edb">Ogre::Vector2::UNIT_SCALE</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVector2_8h-source.html#l00518">518</a> of file <a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreVector2_8h-source.html">OgreVector2.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:04 2008
</p>
</body>
</html>
